/* libcondrv - condrv.h */

#ifndef __condrv_h__
#define __condrv_h__

#ifndef __cdecl_h__
#include <cdecl.h>
#endif

_EXTERN (int	condrv_getver (void));
_EXTERN (int	condrv_getlevel (void));
_EXTERN (int	condrv_xon (void));
_EXTERN (int	condrv_xoff (void));
_EXTERN (int	condrv_get_keymode (void));
_EXTERN (int	condrv_kon (void));
_EXTERN (int	condrv_koff (void));
_EXTERN (int	condrv_write (const char* buf, int size));
_EXTERN (int	condrv_get_keybuf_len (void));
_EXTERN (int	condrv_keypast (const char* buf, int size));
_EXTERN (void*	condrv_get_keyinit_adr (void));
_EXTERN (void*	condrv_hook_keyinit (void* addr));
_EXTERN (int	condrv_unhook_keyinit (void* now_addr, void* orig_addr));

#if 0
_EXTERN (void	condrv_on (void));
_EXTERN (void	condrv_off (void));
_EXTERN (int	condrv_push (void));
_EXTERN (int	condrv_pop (void));
#endif

#endif
