/* libcondrv - sample.c */

#include <stdio.h>
#include <string.h>
#include <signal.h>
#if 0
#include <condrv.h>
#else
#include "../include/condrv.h"
#endif

static int	kon_flag;
static int	koff_flag;
static int	xoff_flag;

static void
sig_handler (int sig)
{
  if (xoff_flag)
    {
      condrv_xon ();
      xoff_flag = 0;
    }
  if (kon_flag)
    {
      condrv_koff ();
      kon_flag = 0;
    }
  if (koff_flag)
    {
      condrv_kon ();
      koff_flag = 0;
    }

  printf ("A{[g܂.\n");
  exit (1);
}

int
main (int argc, char* argv[])
{
  int keymode;

  (void) signal (SIGINT, sig_handler);

  if (condrv_getlevel () > 0)
    (void) printf ("ȉ̃bZ[W͑SĎ荞܂܂.\n\n");

  (void) printf ("͎荞܂܂(1).\n");
  condrv_xoff ();
  xoff_flag = 1;
  (void) printf ("͎荞܂܂.\n");
  condrv_xon ();
  xoff_flag = 0;
  (void) printf ("͎荞܂܂(2).\n");

  keymode = condrv_get_keymode ();
  if (keymode == 0)
    {
      (void) printf ("L[s\ɂ܂. input return:");
      condrv_koff ();
      koff_flag = 1;
      (void) getchar ();
      condrv_kon ();
      koff_flag = 0;
      (void) printf ("L[\ɖ߂܂.\n");
    }
  else if (keymode > 0)
    {
      (void) printf ("L[\ɂ܂. input return:");
      condrv_kon ();
      kon_flag = 1;
      (void) getchar ();
      condrv_koff ();
      kon_flag = 0;
      (void) printf ("L[s\ɖ߂܂.\n");
    }

  if (condrv_getver () < 0)
    {
      (void) printf ("condrv(em).sys gݍ܂Ă܂. "
		     "XCON ւ̏݃eXg͏ȗ܂.\n");
    }
  else
    {
      (void) printf ("argv[0] ̓eobt@ɒڏ݂܂. "
		     "͕K܂܂.\n");
      if ((condrv_write (argv[0], strlen (argv[0])) < 0)
       || (condrv_write ("\n", 1) < 0))
	(void) printf ("XCON ւ݂̏Ɏs܂.\n");
    }

  return 0;
}
